"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyPrometheusMiddleware = void 0;
const promBundle = require("express-prom-bundle");
const applyPrometheusMiddleware = () => {
    return promBundle({
        buckets: [0.5, 1, 2, 5, 10, 30, 60, 120, 300],
        includeMethod: true,
        includePath: false,
        metricsPath: '/metrics',
        promClient: {
            collectDefaultMetrics: {
                timeout: 3000,
            },
        },
    });
};
exports.applyPrometheusMiddleware = applyPrometheusMiddleware;
//# sourceMappingURL=prometheus-middleware.js.map